Package be.fgov.ehealth.dics.protocol.v4

# Class RouteOfAdministrationWithStandardsType

java.lang.Object
be.fgov.ehealth.dics.core.v4.refdata.RouteOfAdministrationKeyType
be.fgov.ehealth.dics.protocol.v4.RouteOfAdministrationWithStandardsType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class RouteOfAdministrationWithStandardsType extends RouteOfAdministrationKeyType implements Serializable

Java class for RouteOfAdministrationWithStandardsType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RouteOfAdministrationWithStandardsType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:refdata}RouteOfAdministrationKeyType">
           <sequence>
             <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
             <element name="StandardRoute" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultStandardRouteType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RouteOfAdministrationWithStandardsType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsultTextType`
  `getName()`
  Gets the value of the name property.
  `List<ConsultStandardRouteType>`
  `getStandardRoutes()`
  Gets the value of the standardRoutes property.
  `void`
  `setName(ConsultTextType value)`
  Sets the value of the name property.

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.refdata.RouteOfAdministrationKeyType

  `getCode, setCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RouteOfAdministrationWithStandardsType

    public RouteOfAdministrationWithStandardsType()

- ## Method Details

  - ### getName

    public ConsultTextType getName()
    Gets the value of the name property.
    Returns:
      possible object is `ConsultTextType`

  - ### setName

    public void setName(ConsultTextType value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `ConsultTextType`

  - ### getStandardRoutes

    public List<ConsultStandardRouteType> getStandardRoutes()
    Gets the value of the standardRoutes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the standardRoutes property.

    For example, to add a new item, do as follows:

         getStandardRoutes().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultStandardRouteType`

    Returns:
      The value of the standardRoutes property.